Subject: Re: [PATCH v2] range-diff: optionally include merge commits' diffs in the analysis

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Nov 2024 16:58:52 +0900

Johannes Schindelin <[email-masked]> writes:

> Hi Philippe,
>
> On Sun, 10 Nov 2024, Philippe Blain wrote:
>
>> Le 2024-11-08 à 08:43, Johannes Schindelin via GitGitGadget a écrit :
>> > From: Johannes Schindelin <[email-masked]>
>> >
>> > The `git log` command already offers support for including diffs for
>> > merges, via the `--diff-merges=<format>` option.
>> >
>> > Let's add corresponding support for `git range-diff`, too. This makes it
>> > more convenient to spot differences between iterations of non-linear
>> > contributions, where so-called "evil merges" are sometimes necessary and
>> > need to be reviewed, too.
>>
>> Maybe "between commit ranges that include merge commits" would be more
>> workflow-agnostic ?
>
> Good idea, this is much clearer than what I wrote, too.

Sounds good.

>> > diff --git a/builtin/range-diff.c b/builtin/range-diff.c
>> > index 1b33ab66a7b..901de5d133d 100644
>> > --- a/builtin/range-diff.c
>> > +++ b/builtin/range-diff.c
>>
>> The changes look good to me. Maybe it would be nice to add a corresponding
>> 'range-diff.diffMerges' config option to allow users to configure the
>> behaviour more permanently ?
>
> Seeing as there are no existing `rangeDiff.*` options, I am loathe to
> introduce the first one lest I am asked why I don't balloon this patch
> series into introducing config settings for the other options, too.

Yeah, I think it can be left for a follow-on exercise, done even by
other people who are interested.

Thanks.